curl --request POST \
--url https://workspace.example.com/v1/builder/workflows/{identifier}/enable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_signal_version": 2,
"preview_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://workspace.example.com/v1/builder/workflows/{identifier}/enable"
payload = {
"expected_signal_version": 2,
"preview_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_signal_version: 2,
preview_job_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://workspace.example.com/v1/builder/workflows/{identifier}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://workspace.example.com/v1/builder/workflows/{identifier}/enable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expected_signal_version' => 2,
'preview_job_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://workspace.example.com/v1/builder/workflows/{identifier}/enable"
payload := strings.NewReader("{\n \"expected_signal_version\": 2,\n \"preview_job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://workspace.example.com/v1/builder/workflows/{identifier}/enable")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expected_signal_version\": 2,\n \"preview_job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://workspace.example.com/v1/builder/workflows/{identifier}/enable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expected_signal_version\": 2,\n \"preview_job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Enable
Enables an existing paused workflow after reviewing a successful preview of the applicable signal version within one hour. Uses the published version when present. Create the paused workflow in the workspace UI; workflow creation is outside this published API surface.
curl --request POST \
--url https://workspace.example.com/v1/builder/workflows/{identifier}/enable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_signal_version": 2,
"preview_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://workspace.example.com/v1/builder/workflows/{identifier}/enable"
payload = {
"expected_signal_version": 2,
"preview_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_signal_version: 2,
preview_job_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://workspace.example.com/v1/builder/workflows/{identifier}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://workspace.example.com/v1/builder/workflows/{identifier}/enable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expected_signal_version' => 2,
'preview_job_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://workspace.example.com/v1/builder/workflows/{identifier}/enable"
payload := strings.NewReader("{\n \"expected_signal_version\": 2,\n \"preview_job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://workspace.example.com/v1/builder/workflows/{identifier}/enable")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expected_signal_version\": 2,\n \"preview_job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://workspace.example.com/v1/builder/workflows/{identifier}/enable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expected_signal_version\": 2,\n \"preview_job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Organization-bound Auth0 API access token. Required permissions are listed per operation; this does not offer API-key or client-registration issuance.
Headers
Required for browser-session mutations. Origin must exactly match the workspace; read the CSRF token from GET /v1/me using the browser session. A bearer-authenticated /v1/me response has csrf_token=null. Not required for bearer-token-only requests.
Required for browser-session mutations. Origin must exactly match the workspace; read the CSRF token from GET /v1/me using the browser session. A bearer-authenticated /v1/me response has csrf_token=null. Not required for bearer-token-only requests.
Path Parameters
Body
Response
Successful Response